<?php
/*
Plugin Name: Random Number Generator
Description: Generates a random number within a specified range using a shortcode
 * Version: 1.0
Author: wpprocode
Author URI: https://wpprocode.cz
*/

function increasing_random_number_shortcode( $atts ) {
    static $previous_number = 0;

    $atts = shortcode_atts( array(
        'min' => 1,
        'max' => 10
    ), $atts, 'random_number' );

    $min = intval( $atts['min'] );
    $max = intval( $atts['max'] );

    if ( isset( $_COOKIE['previous_number'] ) ) {
        $previous_number = intval( $_COOKIE['previous_number'] );
    }

    if ( $previous_number == 0 ) {
        $number = mt_rand( $min, $max );
    } else {
        $number = $previous_number + 4;
        if ( $number > $max ) {
            $number = mt_rand( $min, $max );
        }
    }

    setcookie( 'previous_number', $number, time() + 60 * 60 * 24 * 30 );

    return $number;
}
add_shortcode( 'random_number', 'increasing_random_number_shortcode' );